From 9d0cd632a5e27a5e04194ada36e2a2d458a702c8 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 26 2022 09:57:45 +0000
Subject: [PATCH 8/28] [iceweasel]: branding (#3196)


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index cf74fea..e123f66 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -30,27 +30,26 @@
 #  - Disable Normandy that let Mozilla push messages with recommendations
 #    of nonfree software
 #  - Make Remote Settings work completely offline using local data
-#  - Rebrand to Iceweasel, per the mozilla trademark policy,
-#    due to these FSDG changes
 #
 # technical:
 #  - build i686 with GCC instead of clang
 #  - disable rust-SIMD, LTO, PGO, and skip profiling build for armv7h and i686
 #  - allow skipping profiling build for x86_64 (_x86_64_skip_pgo)
 #  - prefer as many system libs as possible, over their vendored couterparts
-# 
+#  - Rebrand to Iceweasel, per the mozilla trademark policy, due to the FSDG changes
+#
 # privacy:
 #  - Remove Google API keys and usage
-#  - Disable Mozilla telemetry and crash reporting (good manners
-#    because of all of the other patching we're doing)
+#  - Disable Mozilla telemetry and crash reporting
+#    (good manners because of all of the other patching we're doing)
 
 
 pkgname=iceweasel
 epoch=1
 pkgver=97.0.2
 pkgrel=1
-pkgrel+=.parabola4
-_brandingver=95.0-1
+pkgrel+=.parabola5
+_brandingver=97.0-1 # unreleased WIP
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 arch=(x86_64)
 arch+=(armv7h i686)
@@ -92,7 +91,7 @@ sha256sums=('c9f127741beabde78b021dc95b1740259d01677d461400682cb30e072126f075'
             'SKIP'
             '8de6c0ecc70d2763936be6df4b91a3d2e806765bf510f987d6f2ffa2377c3f01'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('d1b9d98cea5356df97fc5c221830de1ced8f826cb39fac9427c407e3eae54c02'
+sha256sums+=('f6013003a6bac275fc27d1c10d1f38a033fe888a4dc64a6ad50522de41aaa70b'
              'SKIP'
              'a4e3c3869085cb282cb5a0fcb64e816c0415f25d4792a62c4f1d599d3111b23c'
              'cb3079a0dc30321183bf8e112532c6f2aad045f68103f8d422c9691137aa770e'
@@ -111,7 +110,7 @@ validpgpkeys+=('3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40') # bill-auger
 # PGO requires networking
 _should_skip_pgo_armv7h=1 # disable for armv7h - always
 _should_skip_pgo_i686=1   # disable for i686   - always
-_should_skip_pgo_x86_64=0 # disable for x86_64 - libremakepkg
+_should_skip_pgo_x86_64=0 # disable for x86_64 - sometimes for libremakepkg
 eval "_should_skip_pgo=\$_should_skip_pgo_${CARCH}"
 
 
@@ -167,12 +166,13 @@ ac_add_options --with-wasi-sysroot=/usr/share/wasi-sysroot
 
 # Branding
 ac_add_options --disable-official-branding
-ac_add_options --with-branding=browser/branding/iceweasel
+ac_add_options --with-branding=browser/branding/${pkgname}
+ac_add_options --with-app-name=${pkgname}
+ac_add_options --with-app-basename=${pkgname}
 ac_add_options --enable-update-channel=release
 ac_add_options --with-distribution-id=nu.parabola
 ac_add_options --with-unsigned-addon-scopes=app,system
 ac_add_options --allow-addon-sideload
-export MOZ_APP_NAME=$pkgname
 export MOZ_APP_REMOTINGNAME=${pkgname}
 export MOZ_TELEMETRY_REPORTING=
 export MOZ_REQUIRE_SIGNING=
@@ -539,8 +539,13 @@ END
   install -Dvm644 /dev/stdin "$distini" <<END
 [Global]
 id=parabola
-version=1.0
+version=(${_brandingver} branding)
 about=Iceweasel for Parabola GNU/Linux-libre
+about.en-US=Iceweasel for Parabola GNU/Linux-libre
+about.eo=Iceweasel por Parabola GNU/Linux-libre
+about.es-ES=Iceweasel para Parabola GNU/Linux-libre
+about.gl=Iceweasel para Parabola GNU/Linux-libre
+about.pt-BR=Iceweasel para Parabola GNU/Linux-libre
 
 [Preferences]
 app.distributor=parabola

